# Class ReadDescriptor

java.lang.Object
picard.illumina.parser.ReadDescriptor

public class ReadDescriptor extends Object
Represents one set of cycles in an ReadStructure (e.g. if the ReadStructure is 36TB836T then 36T, 8B, and 36T are invidually represented internally as a ReadDescriptor).

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`length`
`final ReadType`
`type`

## Constructor Summary

Constructors
Constructor
Description
`ReadDescriptor(int length, ReadType type)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### length

public final int length

### type

public final ReadType type

## Constructor Details

### ReadDescriptor

public ReadDescriptor(int length, ReadType type)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`